X2Go Bug report logs - #559
x2goclient: the local user name that is passed to x2gomountdirs command needs to be enclosed in quotation marks

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Rok Mandeljc <rok.mandeljc@gmail.com>

Date: Mon, 28 Jul 2014 20:15:01 UTC

Severity: normal

Tags: pending

Found in version 4.0.2.1+hotfix1

Fixed in version 4.1.1.1

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#559; Package x2goclient. (Mon, 28 Jul 2014 20:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rok Mandeljc <rok.mandeljc@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 28 Jul 2014 20:15:01 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Rok Mandeljc <rok.mandeljc@gmail.com>
To: submit@bugs.x2go.org
Subject: x2goclient: the local user name that is passed to x2gomountdirs command needs to be enclosed in quotation marks
Date: Mon, 28 Jul 2014 22:11:09 +0200
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.2.1+hotfix1

In startX2goMount(), the local user name (cuser) is passed as the third
argument to the x2gomountdirs command that will be executed on the
server side. This user name should be enclosed in quotation marks,
otherwise the x2gomountdirs on server side fails for users who are
unfortunate enough to have put a whitespace character in their Windows
user name.
[0001-startX2goMount-insert-quotation-marks-around-the-loc.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#559; Package x2goclient. (Tue, 29 Jul 2014 15:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Andy Sinatra" <asinatra@pertronix.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 29 Jul 2014 15:25:02 GMT) Full text and rfc822 format available.

Message #10 received at 559@bugs.x2go.org (full text, mbox):

From: "Andy Sinatra" <asinatra@pertronix.com>
To: "'Rok Mandeljc'" <rok.mandeljc@gmail.com>, <559@bugs.x2go.org>
Subject: RE: [X2Go-Dev] Bug#559: x2goclient: the local user name that is passed to x2gomountdirs command needs to be enclosed in quotation marks
Date: Tue, 29 Jul 2014 08:12:44 -0700
I checked my logs and this fits with my issue earlier this month (Bug #550)

Pyhoca-gtk uses my Windows User with the space, x2Goclient for Windows only
passes the first portion of my username for sshfs.


Andy Sinatra

-----Original Message-----
From: x2go-dev-bounces@lists.x2go.org
[mailto:x2go-dev-bounces@lists.x2go.org] On Behalf Of Rok Mandeljc
Sent: Monday, July 28, 2014 1:11 PM
To: submit@bugs.x2go.org
Subject: [X2Go-Dev] Bug#559: x2goclient: the local user name that is passed
to x2gomountdirs command needs to be enclosed in quotation marks

Package: x2goclient
Version: 4.0.2.1+hotfix1

In startX2goMount(), the local user name (cuser) is passed as the third
argument to the x2gomountdirs command that will be executed on the server
side. This user name should be enclosed in quotation marks, otherwise the
x2gomountdirs on server side fails for users who are unfortunate enough to
have put a whitespace character in their Windows user name.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#559; Package x2goclient. (Tue, 14 Nov 2017 00:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 14 Nov 2017 00:35:02 GMT) Full text and rfc822 format available.

Message #15 received at 559@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: 559-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 559@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Tue, 14 Nov 2017 01:33:53 +0100 (CET)
tag #559 pending
fixed #559 4.1.1.1
thanks

Hello,

X2Go issue #559 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=812753b

The issue will most likely be fixed in src:x2goclient (4.1.1.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 812753b3f1b6b31cf6391440b6768168e66bcbca
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Tue Nov 14 01:30:01 2017 +0100

    src/onmainwindow.cpp: wrap user name for client-side mounts in quotes. Fixes: #559.
    
    Will fail with user names that contain quotes, but oh well...

diff --git a/debian/changelog b/debian/changelog
index afc8103..ded9f24 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -32,6 +32,9 @@ x2goclient (4.1.1.1-0x2go1) UNRELEASED; urgency=medium
     - src/sshmasterconnection.cpp: don't output an empty error message if
       password authencation has been requested but the server does not support
       this mechanism. Fixes: #408.
+    - src/onmainwindow.cpp: wrap user name for client-side mounts in quotes.
+      Fixes: #559. Will fail with user names that contain quotes, but oh
+      well...
 
   [ Oleksandr Shneyder ]
   * New upstream version (4.1.1.1):


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 14 Nov 2017 00:35:02 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.1.1.1. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 14 Nov 2017 00:35:02 GMT) Full text and rfc822 format available.

Message sent on to Rok Mandeljc <rok.mandeljc@gmail.com>:
Bug#559. (Tue, 14 Nov 2017 00:35:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#559; Package x2goclient. (Thu, 15 Feb 2018 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Feb 2018 20:45:05 GMT) Full text and rfc822 format available.

Message #27 received at 559@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 559-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 559@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Thu, 15 Feb 2018 21:42:04 +0100 (CET)
close #559
thanks

Hello,

we are very hopeful that X2Go issue #559 reported by you
has been resolved in the new release (4.1.1.1) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.1.1.1)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=eef4bf3e0e618b15cbf6649e9dbb07d99e57ad00;hp=f0fb9c49b1c30fd025c2c7c9094fa662b8b09b4d

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.1.1.1-0x2go1
Status: RELEASE
Date: Thu, 15 Feb 2018 21:38:31 +0100
Fixes: 408 559 1122 1209 1214 1227
Changes:
 x2goclient (4.1.1.1-0x2go1) RELEASED; urgency=medium
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.1.1):
     - src/pulsemanager.cpp: print out PA --version output as a debug message.
     - macbuild.sh: also bundle xauth binary as nxauth binary.
     - macbuild.sh: switch to bundling PulseAudio 11.1 since it's now available
       in MacPorts.
     - src/sshmasterconnection.cpp: don't ask for private key passphrase if
       auto-login merely failed due to the server denying the public key.
       Fixes: #1122.
     - src/{httpbrokerclient,onmainwindow,sshmasterconnection}.{cpp,h}:
       introduce new passphrase_type enum and replace the old verificationCode
       boolean value with that. Allows using more messages, including a new one
       for plain password prompts. Adapt usage accordingly. The implementation
       is ugly, but there's no good way around that (short of using C++11
       features). The enum would really logically belong to ONMainWindow, but
       since we also have to use it in SshMasterConnection, that may not
       include onmainwindow.h to avoid a circular dependency, it has to be
       part of SshMasterConnection for now.
     - src/sshmasterconnection.cpp: query for password if it wasn't already
       provided. Fixes: #1122. This usually happens if auto-login is enabled,
       which bypasses the password prompt. If auto-login fails, authentication
       normally continues via challenge auth or plain passwords, but since
       users had no chance to input a password, such authentication will always
       fail. Give users a way to enter passwords, in case the auto-login
       failed.
     - src/onmainwindow.cpp: finally include version information in debug
       output.
     - res/i18n/x2goclient_*.ts: apply last change to translation files
       directly.
     - src/sshmasterconnection.cpp: error out with a useful error message in
       case no password has been provided when doing password authentication.
     - src/sshmasterconnection.cpp: don't output an empty error message if
       password authencation has been requested but the server does not support
       this mechanism. Fixes: #408.
     - src/onmainwindow.cpp: wrap user name for client-side mounts in quotes.
       Fixes: #559. Will fail with user names that contain quotes, but oh
       well...
     - {example/x2goclient-cli,src/onmainwindow.cpp}: remove hopefully obsolete
       HOSTNAME exporting into environment.
     - src/onmainwindow.cpp: remove client-side LD_LIBRARY_PATH meddling.
       Nothing of value is in that directory and nxproxy hasn't needed that for
       years.
     - src/settingswidgets.cpp: don't incorrectly enable whole display settings
       in single display setups. Let debugging mode override this behavior,
       though.
     - src/onmainwindow.cpp: pass X2GO_RANDR_XINERAMA=[yes,no] to
       x2gostartagent as an environment variable based upon the xinerama
       session setting. Has no effect when connecting to older X2Go Server
       versions and handles startup correctly with X2Go Server 4.1.0.0.
     - src/onmainwindow.cpp: fix another leaked X2goSettings object.
     - src/onmainwindow.cpp: rename xinerama env variable on session startup to
       X2GO_XINERAMA in accordance with server changes.
     - src/onmainwindow.cpp: supply xinerama option as another parameter to
       x2goresume-session on session resume.
     - src/sessionbutton.cpp: make button non-sensitive in bottom right part if
       it's editable. Fixes: #1214.
     - {src/{help.cpp,onmainwindow.{cpp,h}},man/man1/x2goclient.1}: reformat,
       whitespace fixes, split out close button slot in a separate function.
     - src/onmainwindow.{cpp,h}: let close button be a member variable.
     - src/onmainwindow.cpp: disable and enable close button during and after
       connection startup.
     - src/onmainwindow.cpp: initialize directRDP to false to be able to call
       slotSuspendSessFromSt () even if no session has previously been started.
     - src/onmainwindow.cpp: only initialize directRDP variable if platform is
       Linux. Fixes compile failures on Windows and OS X.
     - src/onmainwindow.cpp: always create close button, but either hide or
       show it based upon whether --closebt was provided or not.
     - src/onmainwindow.cpp: revert 3060183a78d8b6bd81bec9968c985c38bfd1e5c2.
       Being able to suspend sessions via the close button is complex and
       unnecessary, since in thinclient mode, for which this feature is
       useful, users will not be able to see the client window while a session
       is executing, due to it running in full screen mode.
     - src/onmainwindow.cpp: always enable close button, let it log out from a
       broker if already authenticated or close the client on click. Fixes:
       #1209.
     - man/man1/x2goclient.1: clarify what the close button now does. It either
       lets the user re-login to the broker or closes the client.
     - src/onmainwindow.cpp: correctly initialize brokerAuthentication member
       of ConfigFile struct.
     - {res/{img/png/close-button.png,resources.qrc},
        src/{{onmainwindow,httpbrokerclient}.{cpp,h},help.cpp},
        man/man1/x2goclient.1}: rename close button to broker logout button.
       Reimplement the way it is shown - disable it upon startup and only
       enable it after successful broker authentication.
     - man/man1/x2goclient.1: add missing escape signs before dash/minus
       characters.
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.1.1.1):
     - Change echo mode for user input in InteractionDialog.
 .
   [ Walid Moghrabi ]
   * New upstream version (4.1.1.1):
     - {res/img/png/,res/resources.qrc}: add close-button.png file.
     - {src/{help.cpp,onmainwindow.{cpp,h}},man/man1/x2goclient.1}: add new
       option --closebt. Fixes: #1227. Adds a close button in the top-left
       client corner (maybe next to the halt button) that currently just
       terminates the client.


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 15 Feb 2018 20:45:07 GMT) Full text and rfc822 format available.

Notification sent to Rok Mandeljc <rok.mandeljc@gmail.com>:
Bug acknowledged by developer. (Thu, 15 Feb 2018 20:45:07 GMT) Full text and rfc822 format available.

Message sent on to Rok Mandeljc <rok.mandeljc@gmail.com>:
Bug#559. (Thu, 15 Feb 2018 20:45:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Fri, 16 Mar 2018 06:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Jul 16 10:39:09 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.